# fx-erpdss-custome-template

集成平台调用该模板代码的入口在RouterAdaptController下面。
模板的代码格式和集成平台 设置->ERP对象管理->生成API 下面的格式保持一致。

客开开发过程：
1. 修改application.properties中的token，用于验证身份，确保调用请求来自纷享集成平台。调用时需要在请求头中添加X-fs-erpdss-token。
    
2. 代码编写
实现RouterAdaptController下面的接口。
    编写实现类，该类需要继承BaseObjectService接口。
	create是在ERP新建，
	update是在ERP更新，
	invalid作废ERP主数据
	queryMasterBatch是ERP->CRM同步时查询ERP的增量数据
	queryMasterById 是ERP->CRM时根据ERP这边的主键查询单条数据
	
3. 数据库层开发
	在application-db.properties中添加访问数据库账号信息。
	在dao目录下添加访问数据库的mapper和SQL语句
	在entity下添加表结构定义
    
	
测试表
CREATE TABLE `product_demo_obj` (
  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `product_code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '对象apiName',
  `product_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '加密字符串',
  `price` double(10,4) NOT NULL COMMENT '当前数据请求条件',
  `weight` double(10,4) NOT NULL,
  `unit` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `version` int(10) unsigned zerofill NOT NULL COMMENT '当前版本',
  `create_time` bigint NOT NULL COMMENT '创建时间',
  `update_time` bigint NOT NULL COMMENT '最后更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14614 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;