package com.facishare.connector.model.arg;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.Collections;
import java.util.List;
import java.util.Map;

@Data
@AllArgsConstructor
@EqualsAndHashCode
@NoArgsConstructor
public class InvalidRequestArg {

    private String objAPIName;

    private Map masterFieldVal;

    private Map<String,String> detailFieldVals= Collections.emptyMap();

}
