package com.facishare.connector.constant;


public enum ResultEnum {
    SUCCESS(0, "success"),
    SYSTEM_ERROR(10001, "system error"),
    PARAMETER_ERROR(30001, "参数错误");

    ResultEnum(Integer errorCode, String errorMessage) {
        this.errorCode = errorCode;
        this.errorMessage = errorMessage;
    }

    public Integer getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(Integer errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    private Integer errorCode;
    private String errorMessage;
}
