package com.facishare.connector.exception;

import lombok.Data;
import lombok.EqualsAndHashCode;


@Data
@EqualsAndHashCode(callSuper = true)
public class CommonBaseException extends RuntimeException {
	private String errorCode;
	private String message;

	public CommonBaseException(String errorCode, String message) {
		super(message);
		this.errorCode = errorCode;
		this.message = message;
	}

	public static CommonBaseException errorException(String message) {
			return new CommonBaseException("500",message);
	}

	public static CommonBaseException successException(String message) {
			return new CommonBaseException("0",message);
	}

}
