package com.facishare.connector.utils;

import java.util.concurrent.atomic.AtomicInteger;

public class ErrorDataWatchUtil {

    private static ErrorDataCount errorDataCount=new ErrorDataCount();

    public static void record(){
        errorDataCount.errorCount.getAndIncrement();
    }

    public static synchronized int getErrorCount(){
        int errorCount = errorDataCount.errorCount.get();
        errorDataCount.lastUpTime=System.currentTimeMillis();
        errorDataCount.errorCount.set(0);
        return errorCount;
    }

    public static synchronized Long getLastUpTime(){
        return errorDataCount.lastUpTime;
    }

    static class ErrorDataCount{
        private Long lastUpTime=System.currentTimeMillis();//上一次记录时间

        private AtomicInteger errorCount=new AtomicInteger(0);//上一次记录时间到当前的错误量
    }


}
